## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name xword_dl

Name:           python-xword-dl
Version:        2023.4.3
Release:        %autorelease
Summary:        Download tool for online crossword puzzles

License:        MIT
URL:            https://github.com/thisisparker/xword-dl
Source:         %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  sed

%global _description %{expand:
xword-dl is a command-line tool to download .puz files for online crossword
puzzles from supported outlets or arbitrary URLs with embedded crossword
solvers. For a supported outlet, you can easily download the latest puzzle, or
specify one from the archives.}

%description %_description

%package -n     python3-xword-dl
Summary:        %{summary}

%description -n python3-xword-dl %_description

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Relax dependencies version pinning
sed -i requirements.txt -e 's/==.*$//g'

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pyproject_check_import

%files -n python3-xword-dl -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/xword-dl

%changelog
* Tue May 02 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 2023.4.3-1
- Update to 2023.4.3; Fixes: RHBZ#2184232

* Wed Feb 15 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 2023.1.31-1
- Update to 2023.1.31; Fixes: RHBZ#2164664

* Sun Jan 22 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 2023.1.19-1
- Update to 2023.1.19; Fixes: RHBZ#2162589

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2022.12.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 17 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 2022.12.26-1
- Update to 2022.12.26; Fixes: RHBZ#2156409

* Sat Dec 24 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 2022.12.14-1
- Initial import; Fixes: RHBZ#2155775
